using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;   
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;  

namespace FloatNumericButton
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            #region DataTable
            DataTable dt = new DataTable();
            dt.Columns.Add("Text", typeof(string));
            dt.Columns.Add("Numbers", typeof(decimal));
            dt.Columns.Add("A1", typeof(double));
            dt.Columns.Add("A2", typeof(double));


            DataRow redak;
            for (int i = 0; i < 28; i++)
            {
                redak = dt.NewRow();
                redak["Text"] = "AAA";
                redak["Numbers"] = i;
                redak["A1"] = i;
                redak["A2"] = i;
                dt.Rows.Add(redak);
            }

            #endregion
            gridGroupingControl1.TableModel.CellModels.Add("FNumericUpDown", new FNumericUpDownCellModel(gridGroupingControl1.TableModel));
            gridGroupingControl1.TableModel.CellModels.Add("PictureBox", new PictureBoxCellModel(gridGroupingControl1.TableModel));

            gridGroupingControl1.DataSource = dt;
            gridGroupingControl1.TableDescriptor.Columns["A2"].Appearance.AnyRecordFieldCell.CellType = "FNumericUpDown";
            this.gridGroupingControl1.QueryCellStyleInfo += new GridTableCellStyleInfoEventHandler(gridGroupingControl1_QueryCellStyleInfo);
        }
        void gridGroupingControl1_QueryCellStyleInfo(object sender, GridTableCellStyleInfoEventArgs e)
        {
            if (e.TableCellIdentity.Column != null
                && e.TableCellIdentity.Column.Name == "A2"
                && e.TableCellIdentity.DisplayElement.Kind == DisplayElementKind.Record)
            {
                if (e.TableCellIdentity.RowIndex == 6)
                {
                    e.Style.CellType = "FNumericUpDown";
                    GridStyleInfo style = e.Style;
                    FloatNumericUpDownStyleProperties sp = new FloatNumericUpDownStyleProperties(style);
                    sp.StyleInfo.BackColor = SystemColors.Window;
                    sp.FloatNumericUpDownProperties.Maximum = 12.50;
                    sp.FloatNumericUpDownProperties.Minimum = 0.0;
                    sp.FloatNumericUpDownProperties.StartValue = 10.10;
                    sp.FloatNumericUpDownProperties.Step = 0.01;
                    sp.FloatNumericUpDownProperties.WrapValue = true;
                    sp.FloatNumericUpDownProperties.DecimalPlaces = 2;
                }
            }
        }
    }
}